#!/usr/bin/python
import os, re
from distutils.core import setup

def changelog_version(changelog='debian/changelog'):
    version='dev'
    if os.path.exists(changelog):
        head=open(changelog).readline()
        match=re.match('.*\((.*)\).*', head)
        if match:
            version=match.group(1)
    return version

setup(
    name = 'packager',
    version = changelog_version(),
    author = 'Javier Collado',
    author_email = 'javier.collado@canonical.com',
    url = 'https://launchpad.net/packager',
    license = 'GPLv3',
    description = 'Upload your packages to multiple PPAs in launchpad easily',
    long_description = """
packager is a tool to make it possible to upload debian packages
from an application under development to multiple series
and/or PPAs in launchpad.""",
    packages = ['packager', 'packager.interfaces',
                'packager.interfaces.cli', 'packager.interfaces.gtk'],
    package_data = {'packager': ['interfaces/gtk/glade/*']},
    scripts = ['bin/packager', 'bin/packager-gtk'],
    data_files = [("share/applications", ["gtk/packager.desktop"]),
                  ("share/apport/package-hooks", ["apport/source_packager.py"]),
                  ("/etc/apport/crashdb.conf.d", ["apport/packager-crashdb.conf"]),
                  ]
)
